org.eclipse.emf.cdo.view

## Interface CDOUnit

-     public interface CDOUnit

  Since:
    4.5
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Same as calling `close(true`.
    `void` | `close(boolean resubscribe)` Closes this unit and optionally `resubscribes` all contained objects for change notifications.
    `int` | `getElements()`
    `CDOUnitManager` | `getManager()`
    `EObject` | `getRoot()`

- - ### Method Detail

    - #### getManager

          CDOUnitManager getManager()

    - #### getRoot

          EObject getRoot()

    - #### getElements

          int getElements()

    - #### close

          void close()

      Same as calling `close(true`.

    - #### close

          void close(boolean resubscribe)

      Closes this unit and optionally `resubscribes` all contained objects for change notifications.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html